QGIS Application - Bug report #17805
QGIS forms cardinality configuration not correctly applied/saved
2018-01-05 04:48 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee: David Signer

Category: Project Loading/Saving

Affected QGIS version:master Regression?: Yes

Operating System: all Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25701
Description

In the "Layer Properties" --> "Attributes Form" tab there is a list of relations (see screenshot attached).

When one clicks the relation of a n:m relation with an "in-between" table there is the possibility to hide the "in-between" table, because it
only contains links to both other tables by setting the cardinality to "Tablename (primary key)".

This used to work before, but now the configuration is not correctly saved and no matter of the setting, the in-between table is always
shown.

Associated revisions

Revision 8eaecd1c - 2018-01-12 04:31 PM - David Signer

relation cardinality bugfix

relation cardinality was handled with it's name as QString instead of it's value as QVector and this leaded to problems in the attribute form.

Fix #17805

History

#1 - 2018-01-05 04:49 PM - Andreas Neumann
- File qgis_cardinality_configuration.png added

#2 - 2018-01-08 10:04 AM - Andreas Neumann
- Assignee set to David Signer

#3 - 2018-01-12 04:31 PM - David Signer

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|8eaecd1c2211723655468c34b2c143a5¢c4c78564.

#4 - 2018-02-21 10:28 PM - Giovanni Manghi

- Resolution set to fixed/implemented
